declare type FunctionType<R> = (key: string, ...args: any[]) => Promise<R>;
declare type ArgumentsType<R, T extends FunctionType<R>> = T extends (key: string, ...args: infer A) => Promise<R> ? A : never;
export declare class SolariumCache<R, F extends FunctionType<R>> {
    private wrappedFunction;
    private ttl;
    private store;
    constructor(wrappedFunction: F, ttl?: number);
    getCached(key: string): R | null;
    set(key: string, value: R): void;
    evictCache(key: string): void;
    load(key: string, skipCache: boolean, ...args: ArgumentsType<R, F>): Promise<R>;
}
export {};
