import { VerificationMethod } from 'did-resolver/src/resolver';
import { DIDDocument } from 'did-resolver';
import { CEKData } from '../solana/models/CEKData';
import { PrivateKey } from '../util';
import { PublicKey } from '@solana/web3.js';
export declare type CEK = Uint8Array;
export declare const generateCEK: () => Promise<CEK>;
export declare const encryptCEKForDID: (cek: CEK, did: string) => Promise<CEKData[]>;
export declare const encryptCEKForVerificationMethod: (cek: CEK, key: VerificationMethod) => Promise<CEKData>;
export declare const encryptCEKForDIDDocument: (cek: CEK, didDocument: DIDDocument) => Promise<CEKData[]>;
export declare const createEncryptedCEK: (did: string) => Promise<CEKData[]>;
export declare const decryptCEK: (encryptedCEK: CEKData, key: PrivateKey) => Promise<CEK>;
export declare const decryptCEKs: (encryptedCEKs: CEKData[], kid: string, key: PrivateKey) => Promise<CEK>;
export declare const encryptMessage: (message: string, cek: CEK) => Promise<string>;
export declare const decryptMessage: (encryptedMessage: string, cek: CEK) => Promise<string>;
export declare const findVerificationMethodForKey: (didDoc: DIDDocument, key: PrivateKey | PublicKey) => VerificationMethod | undefined;
export declare const reencryptCEKForDID: (encryptedCEK: CEKData[], fromDID: string, fromPrivateKey: PrivateKey, toDID: string) => Promise<CEKData[]>;
export declare const augmentDIDDocument: (didDocument: DIDDocument) => DIDDocument;
