export declare const XC20P_IV_LENGTH = 24;
export declare const XC20P_TAG_LENGTH = 16;
declare type Envelope = {
    ciphertext: Uint8Array;
    tag: Uint8Array;
    iv: Uint8Array;
    aad?: Uint8Array;
};
declare type EncryptedKey = {
    encryptedKey: Uint8Array;
    tag: Uint8Array;
    iv: Uint8Array;
    epPubKey: Uint8Array;
};
declare type Encrypter = (cleartext: Uint8Array, aad?: Uint8Array) => Envelope;
declare type Decrypter = (ciphertext: Uint8Array, tag: Uint8Array, iv: Uint8Array, aad?: Uint8Array) => Uint8Array | null;
export declare const xc20pEncrypter: (key: Uint8Array) => Encrypter;
export declare const xc20pDecrypter: (key: Uint8Array) => Decrypter;
export declare const x25519xc20pKeyWrap: (publicKey: Uint8Array) => (wrappedKey: Uint8Array) => EncryptedKey;
export declare const x25519xc20pKeyUnwrap: (secretKey: Uint8Array) => (ciphertext: Uint8Array, tag: Uint8Array, iv: Uint8Array, epPubKey: Uint8Array) => Uint8Array | null;
export {};
