/// <reference types="node" />
import { Schema } from 'borsh';
import { PublicKey } from '@solana/web3.js';
export declare abstract class Assignable {
    constructor(properties: {
        [key: string]: any;
    });
    encode(): Buffer;
    static decode<T extends Assignable>(data: Buffer): T;
}
export interface ChainStorage<T> {
    toChainData: () => T;
}
export declare abstract class Enum extends Assignable {
    enum: string;
    constructor(properties: any);
}
export declare const SCHEMA: Schema;
export declare function deserializeExtraBytes<T extends Assignable>(schema: Schema, classType: any, buffer: Buffer): T;
export declare class AssignablePublicKey extends Assignable {
    bytes: number[];
    toPublicKey(): PublicKey;
    toString(): string;
    static parse(pubkey: string): AssignablePublicKey;
    static fromPublicKey(publicKey: PublicKey): AssignablePublicKey;
    static empty(): AssignablePublicKey;
}
