import { Keypair, Connection, Transaction, TransactionSignature, PublicKey } from '@solana/web3.js';
export declare class SolanaUtil {
    static getConnection: (cluster?: "devnet" | "testnet" | "mainnet-beta" | "localnet" | undefined) => Connection;
    static sendAndConfirmRawTransaction(connection: Connection, transaction: Transaction): Promise<TransactionSignature>;
    static newWalletWithLamports(connection: Connection, lamports?: number): Promise<Keypair>;
    static airdrop(connection: Connection, publicKey: PublicKey, lamports?: number): Promise<void>;
    static sleep(ms: number): Promise<void>;
}
export declare const airdrop: (connection: Connection, publicKey: PublicKey, lamports?: number) => Promise<void>;
export declare const getConnection: (cluster?: "devnet" | "testnet" | "mainnet-beta" | "localnet" | undefined) => Connection;
