import { Keypair, PublicKey } from '@solana/web3.js';
import { SignCallback } from '../lib/wallet';
import { Channel } from '../lib/Channel';
/**
 * Creates a group channel
 * @param owner
 * @param payer
 * @param name
 * @param signCallback
 * @param cluster
 */
export declare const createChannel: (owner: Keypair | PublicKey, payer: Keypair | PublicKey, name: string, signCallback?: SignCallback | undefined, cluster?: "devnet" | "testnet" | "mainnet-beta" | "localnet" | undefined) => Promise<Channel>;
/**
 * Creates a direct channel between two DIDs
 * @param owner
 * @param payer
 * @param inviteeDID
 * @param signCallback
 * @param cluster
 */
export declare const createDirectChannel: (owner: Keypair | PublicKey, payer: Keypair | PublicKey, inviteeDID: string, signCallback?: SignCallback | undefined, cluster?: "devnet" | "testnet" | "mainnet-beta" | "localnet" | undefined) => Promise<Channel>;
