import { Connection, Keypair, PublicKey } from '@solana/web3.js';
import { SignCallback } from '../lib/wallet';
/**
 * Post a message to a group channel
 * @param connection
 * @param senderDID
 * @param channel
 * @param signer
 * @param payer
 * @param message
 * @param signCallback
 * @param cluster
 */
export declare const post: (connection: Connection, senderDID: string, channel: PublicKey, message: string, signer: Keypair, payer?: Keypair | undefined, signCallback?: SignCallback | undefined, cluster?: "devnet" | "testnet" | "mainnet-beta" | "localnet" | undefined) => Promise<void>;
/**
 * Post a message to a direct channel
 * @param connection
 * @param senderDID
 * @param recipientDID
 * @param signer
 * @param payer
 * @param message
 * @param signCallback
 * @param cluster
 */
export declare const postDirect: (connection: Connection, senderDID: string, recipientDID: string, message: string, signer: Keypair, payer?: Keypair | undefined, signCallback?: SignCallback | undefined, cluster?: "devnet" | "testnet" | "mainnet-beta" | "localnet" | undefined) => Promise<void>;
